SystemOrganization addCategory: #'Glamour-Seaside-Examples'!
SystemOrganization addCategory: #'Glamour-Seaside-Examples-Dev'!

SGLComponent subclass: #SGLExamples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

SGLExamples subclass: #SGLBasicExamples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLBasicExamples classSide methodsFor: 'instance creation' stamp: 'AndreiChis 9/1/2010 20:06'!
initialize
	self registerAsApplication: 'glamour/basicExamples'! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 18:31'!
accumulator
	"
		self new accumulator openOn: 42
	"
	<glmBrowser: 'Accumulator' input: '42'>
	| browser acc |
	browser := GLMTabulator new.
	acc := GLMAccumulator new.
	acc show: [:a | 
		a title: [:x | x asString].
		a list title: 'List'; display: [:x |1 to: x ]; showOnly: 10.
		a text title: 'Text'; display: [:x | 'This is an editor on ', x printString ].
		].
	browser column: [:c | c row: #one span: 4; row: #two]; column: #three; column: #four.
	browser transmit to: #one; andShow: [:a | 
		a list display: [:x | x to: 10 * x]; showOnly: 10].
	browser transmit from: #one; to: #two; andShow: [:a |
		a text display: [:x | 'You have selected ', x printString ]].
	browser transmit from: #one; to: #three; andShowIfNone: [:a |
		a custom: acc ].
	
	browser transmit from: #one; to: #three->#entityToSelect.
	browser transmit from: #three->#activeEntity; to: #one->#selection.
	
	browser transmit from: #three; to: #four; andShow: [ :a |
		a list display: [:x| 1 to: x]	].

	^ browser
	
! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 18:23'!
allowNil
	"
		self new allowNil openOn: 42
	"
	<glmBrowser: 'Allowing nil' input: '42'>
	^ GLMBasicExamples new allowNil! !

!SGLBasicExamples methodsFor: 'composite' stamp: 'AndreiChis 8/31/2010 18:23'!
differentComposites
	"
		self new differentComposites openOn: (1 to: 100)
	"
	<glmBrowser: 'Composite arrangements' input: '(1 to: 100)'>
	^ GLMBasicExamples new differentComposites! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreHora 4/27/2011 15:27'!
eyeseeBarDiagram
	"
		self new eyeseeBarDiagram openOn: #(5 2 10 6 12 8)
	"
	<glmBrowser: 'EyeSee interactive bar chart' input: '#(5 2 10 6 12 8)'>
	^ GLMBasicExamples new eyeseeBarDiagram! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 18:50'!
listWithTags
	"
		self new listWithTags openOn: (1 to: 103)
	"
	<glmBrowser: 'List with tags' input: '1 to: 103'>
	|browser |

	browser := GLMTabulator new.
	browser column: #one; column: #two.
	browser showOn: #one; using: [
		browser tree
			showOnly: 30;
			tags: [:each | 
				{each even ifTrue: ['even'] ifFalse: ['odd'].
				(each\\3 == 0 ) ifTrue: ['div 3'] ifFalse: ['not div 3'].
				(each\\4 == 0 ) ifTrue: ['div 4'] ifFalse: ['not div 4'].
				(each\\5 == 0 ) ifTrue: ['div 5'] ifFalse: ['not div 5']}
				]].
	browser showOn: #two; from: #one; using: [
		browser text
			display: [:x | 'You have selected ', x printString ]].
	^ browser
	! !

!SGLBasicExamples methodsFor: 'explicit selection' stamp: 'AndreiChis 8/31/2010 18:26'!
listsWithUpdatedSelection
	"
		self new listsWithUpdatedSelection openOn: 10
	"
	<glmBrowser: 'Updated selection' input: '10'>
	^ GLMBasicExamples new listsWithUpdatedSelection! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 18:47'!
mondrianPainting
	"
		self new mondrianPainting openOn: 100
	"
	<glmBrowser: 'Mondrian painting' input: '100'>
	^ GLMBasicExamples new mondrianPainting! !

!SGLBasicExamples methodsFor: 'tab examples' stamp: 'TudorGirba 7/17/2011 21:21'!
multipleTabs
	"
		self new multipleTabs openOn: 1
	"
	<glmBrowser: 'Tabs' input: '1'>
	^ GLMBasicExamples new tabsWithDifferentActions! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 18:37'!
simpleFinder
	"
		self new simpleFinder openOn: 100
	"
	<glmBrowser: 'Simple finder' input: '100'>
	| finder |
	finder := GLMFinder new.
	finder show: [ :a |
		a list 
			display: [:x | 1 to: x] ].
		
	^finder.! !

!SGLBasicExamples methodsFor: 'actions examples' stamp: 'AndreiChis 8/31/2010 22:28'!
staticAndDynamicMenu
	"
		self new staticAndDynamicMenu openOn: $z
	"
	<glmBrowser: 'Menus' input: '$z'>
	^ GLMBasicExamples new staticAndDynamicMenu! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 19:29'!
taggedTree
	"
		self new taggedTree openOn: #(1 2 3 4 5)
	"
	<glmBrowser: 'Tagged Tree' input: '#(1 2 3 4 5)'>
	^ GLMBasicExamples new taggedTree! !

!SGLBasicExamples methodsFor: 'text' stamp: 'AndreiChis 8/31/2010 19:24'!
textPortsExamples
	"
		self new textPortsExamples openOn: 'Type and select to see the results previewed.'
	"
	<glmBrowser: 'Text ports' input: '''Type and select to see the results previewed.'''>
	^ GLMBasicExamples new textPortsExamples! !

!SGLBasicExamples methodsFor: 'text' stamp: 'AndreiChis 8/31/2010 19:25'!
textSelectionInterval
	"
		self new textSelectionInterval openOn: (1 to: 100)
	"
	<glmBrowser: 'Text selection' input: '(1 to: 100)'>
	^ GLMBasicExamples new textSelectionInterval! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 22:17'!
threeInterdependentPanes
	"
		self new threeInterdependentPanes openOn: 5
	"
	<glmBrowser: 'Three inter-dependent panes' input: '5'>
	|browser |

	browser := GLMTabulator new.
	browser column: #one; column: #two; column: #three.
	browser showOn: #one; using: [
		browser tree
			title: 'Pane 1';
			display: [:x | 1 to: x]].
	browser showOn: #two; from: #one; using: [ 
		browser tree
			title: 'Pane 2';
			display: [:x | 1 to: x*2]].
	browser showOn: #three; from: #two; using: [
		browser tree
			title: 'Pane 3';
			display: [:x | 1 to: x*3];
			populate: #focus on: $f entitled: 'Focus' with: [:list | list selection] ].
	browser sendTo: #outer->#focus from: #three->#focus with: [:x | x ].
	browser sendTo: #one->#selection from: #outer->#focus with: [:x | x ].
	browser sendTo: #two->#selection from: #outer->#focus with: [:x | x ].
	^ browser! !

!SGLBasicExamples methodsFor: 'accessing' stamp: 'AndreiChis 8/31/2010 17:32'!
title
	^ 'BasicExamples'! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 12/4/2010 16:29'!
treeWithAmountFiltering
	"
		self new treeWithAmountFiltering openOn: (1 to: 10000)
	"
	<glmBrowser: 'Smart lists' input: '(1 to: 10000)'>
	^ GLMBasicExamples new treeWithAmountFiltering! !

!SGLBasicExamples methodsFor: 'explicit selection' stamp: 'AndreiChis 8/31/2010 18:23'!
treeWithChildrenByLevel
	"
		self new treeWithChildrenByLevel openOn: #(1 2 3 4 5)
	"
	<glmBrowser: 'Tree with children by level' input: '(1 to: 5)'>
	^ GLMBasicExamples new treeWithChildrenByLevel
	! !

!SGLBasicExamples methodsFor: 'actions examples' stamp: 'AndreiChis 8/31/2010 18:22'!
treeWithExpansion
	"
		self new treeWithExpansion openOn: #(($a $b $c $d) ($e $f) ($g $h $i $j ($l $m $n)))
	"
	<glmBrowser: 'Tree with expansion' input: '#(($a $b $c $d) ($e $f) ($g $h $i $j ($l $m $n)))'>
	^ GLMBasicExamples new treeWithExpansion! !

!SGLBasicExamples methodsFor: 'others' stamp: 'AndreiChis 8/31/2010 18:52'!
treeWithLeafTags
	"
		self new treeWithLeafTags openOn: #( (1 2 3 4) (5 6 7 (8 9) (10 11) ( (12 13) (13 15) ) ) (16 17 18  (19 20 21 22)) )
	"
	<glmBrowser: 'Tree with leaf tags' input: '#( (1 2 3 4) (5 6 7 (8 9) (10 11) ( (12 13) (13 15) ) ) (16 17 18  (19 20 21 22)) )'>
	|browser |
	browser := GLMTabulator new.
	browser column: #one; column: #two.
	browser showOn: #one; using: [
		browser tree
			beMultiple;
			title: 'No expansion';
			tags: [:each | 
				each isNumber 
				ifTrue: [
					{(each isNumber and: [each even]) ifTrue: ['even'] ifFalse: ['odd'].
					(each isNumber and: [each\\3 == 0] ) ifTrue: ['div 3'] ifFalse: ['not div 3'].
					(each isNumber and: [each\\4 == 0] ) ifTrue: ['div 4'] ifFalse: ['not div 4'].
					(each isNumber and: [each\\5 == 0] ) ifTrue: ['div 5'] ifFalse: ['not div 5']} ]
				ifFalse: [{}] ];
			children: [:x :i | x isCollection ifTrue: [x] ifFalse: [OrderedCollection new] ].
		browser tree
			title: 'All Expanded';
			allExpanded;
			tags: [:each | 
				each isNumber 
				ifTrue: [
					{(each isNumber and: [each even]) ifTrue: ['even'] ifFalse: ['odd'].
					(each isNumber and: [each\\3 == 0] ) ifTrue: ['div 3'] ifFalse: ['not div 3'].
					(each isNumber and: [each\\4 == 0] ) ifTrue: ['div 4'] ifFalse: ['not div 4'].
					(each isNumber and: [each\\5 == 0] ) ifTrue: ['div 5'] ifFalse: ['not div 5']} ]
				ifFalse: [{}] ];
			children: [:x :i | x isCollection ifTrue: [x] ifFalse: [OrderedCollection new] ] ].
	browser showOn: #two; from: #one; using: [ browser text ].
	^ browser! !

!SGLBasicExamples methodsFor: 'actions examples' stamp: 'AndreiChis 8/31/2010 22:23'!
treeWithMenu
	"
		self new treeWithMenu openOn: #(($a $b $c $d) ($e $f) ($g $h $i $j $l))
	"
	<glmBrowser: 'Tree with menu' input: '#(($a $b $c $d) ($e $f) ($g $h $i $j $l))'>
	|browser |
	browser := GLMTabulator new.
	browser column: #one; column: #two.
	browser showOn: #one; using: [
		browser tree
			title: ['Tree with menu'];
			children: [:x :i | x asString size > 1 ifTrue: [x] ifFalse: [OrderedCollection new] ];
			act: [:tree | tree inspect ] on: $i entitled: 'Inspect';
			icon: [:x | MenuIcons helpIcon ]].
	browser showOn: #two; from: #one; using: [ browser text ].
	^ browser! !

SGLExamples subclass: #SGLDevExamples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLDevExamples classSide methodsFor: 'instance creation' stamp: 'AndreiChis 9/1/2010 20:07'!
initialize
	self registerAsApplication: 'glamour/devExamples'! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 18:55'!
accumulatorWithActions
	"
		self new accumulatorWithActions openOn: 42
	"
	<glmBrowser: 'Accumulator with actions' input: '42'>
	| browser acc|
	browser := GLMTabulator new.
	browser title: 'A tabulator'.
	acc := GLMAccumulator new.
	acc title: 'An accumulator'.
	acc show: [:a |
		a title: [:x | x asString].

		a act: [:ac :entity| Transcript show: 'Accumulator action '; cr ] icon: MenuIcons helpIcon entitled: 'Accumulator action'.

		a list 
			title: 'List';
			showOnly: 10;
			act: [:list :entity| 
				Transcript show: 'List action 1 for accumulator'; cr ] icon: MenuIcons jumpIcon entitled: 'List action 1 for accumulator';

			display: [:x |1 to: x ].
		a text 
			title: 'Text'; 
			display: [:x | 'This is an editor on ', x printString ];
			act: [:list :entity| Transcript show: 'Text action 1 for accumulator'; cr ] icon: MenuIcons helpIcon  entitled: 'Text action 1 for accumulator'.
		].
	browser column: [:c | c row: #one span: 4; row: #two]; column: #three; column: #four.
	browser transmit to: #one; andShow: [:a | 
		a list 
			title: 'List presentation';
			display: [:x | x to: 10 * x]; showOnly: 10].
	browser transmit from: #one; to: #two; andShow: [:a |
		a text display: [:x | 'You have selected ', x printString]].
	browser transmit from: #one; to: #three; andShowIfNone: [:a |
		a custom: acc ].
	
	browser transmit from: #one; to: #three->#entityToSelect.
	browser transmit from: #three->#activeEntity; to: #one->#selection.
	
	browser transmit from: #three; to: #four; andShow: [ :a |
		a list display: [:x| 1 to: x]	].

	^ browser
	
! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 9/17/2010 00:39'!
classLister
	"
		self new classLister openOn: MooseModel root allModels first allModelNamespaces
	"
	<glmBrowser: 'Class Listing' input: 'MooseModel root allModels first allModelNamespaces'>
	| accumulator tabulator |
	tabulator := GLMTabulator new.
	tabulator column: #namespaces; column: #accumulator.
	tabulator transmit to:  #namespaces; andShow: [ :a |
		a list 
			showOnly: 30;
			format: #mooseName ].
	accumulator := GLMAccumulator  new.
	accumulator show: [ :a |
		a title: [: namespace| namespace mooseName ].
		a list 
			showOnly: 30;
			format: #name;
			display: [:namespace| namespace classes] ].
	tabulator transmit to: #accumulator; from: #namespaces; andShowIfNone:[:a |
		a custom: accumulator].
	tabulator transmit from: #namespaces; to: #accumulator->#entityToSelect.
	^tabulator .! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 18:57'!
differentCompositesWithActions
	"
		self new differentCompositesWithActions openOn: 100
	"
	<glmBrowser: 'Composite arrangements with actions' input: '100'>
	|browser|

	browser := GLMTabulator new.
	browser column:  #tab; column: #accordion; column: #stack.

	browser transmit  to: #tab; andShow: [ :a |
		a title: 'Tab arrangement'.
		a act: [:list :entity| Transcript show: 'Tab arrangement action 1'; cr ] icon: MenuIcons jumpIcon entitled: 'Tab arrangement action 1'.
		a act: [:list :entity| Transcript show: 'Tab arrangement action 2'; cr ] icon: MenuIcons helpIcon  entitled: 'Tab arrangement action 2'.
		a act: [:list :entity| Transcript show: 'Tab arrangement action 3'; cr ] icon: MenuIcons jumpIcon entitled: 'Tab arrangement action 3'.
		a act: [:list :entity| Transcript show: 'Tab arrangement action 4'; cr ] icon: MenuIcons helpIcon  entitled: 'Tab arrangement action 4'.
		a list
			title: 'First';
			showOnly: 10;
			act: [:list :entity| Transcript show: 'First tab action 1'; cr ] icon: MenuIcons projectIcon entitled: 'First tab action 1';
			act: [:list :entity| Transcript show: 'First tab action 2'; cr ] icon: MenuIcons jumpIcon entitled: 'First tab action 2';
			display:  [ :x | 1 to: x ].
		a list
			title: 'Second';
			showOnly: 60;
			act: [:list :entity| Transcript show: 'Second tab action 1'; cr ] icon: MenuIcons publishIcon entitled: 'Second tab action 1';
			display:  [ :x | 1 to: x ].
		a list
			title: 'Third';
			act: [:list :entity| Transcript show: 'Third tab action 1'; cr ] icon: MenuIcons projectIcon entitled: 'Third tab action 1';
			act: [:list :entity| Transcript show: 'Third tab action 2'; cr ] icon: MenuIcons jumpIcon entitled: 'Third tab action 2';
			act: [:list :entity| Transcript show: 'Third tab action 3'; cr ] icon: MenuIcons paintTabIcon entitled: 'Third tab action 3';
			act: [:list :entity| Transcript show: 'Third tab action 4'; cr ] icon: MenuIcons publishIcon entitled: 'Third tab action 4';
			display:  [ :x | 1 to: x ] ].

	browser transmit  to: #accordion; andShow: [ :a |
		a accordionArrangement.
		a act: [:list :entity| Transcript show: 'Accordion arrangement action 1'; cr ] icon: MenuIcons jumpIcon entitled: 'Accordion arrangement action 1'.
		a title: 'Accordion arrangement'.
		a list
			title: 'First';
			showOnly: 10;
			act: [:list :entity| Transcript show: 'First accordion tab action 1'; cr ] icon: MenuIcons projectIcon entitled: 'First accordion tab action 1';
			act: [:list :entity| Transcript show: 'First accordion tab action 2'; cr ] icon: MenuIcons jumpIcon entitled: 'First accordion tab action 2';
			act: [:list :entity| Transcript show: 'First accordion tab action 3'; cr ] icon: MenuIcons paintTabIcon entitled: 'First accordion tab action 3';
			act: [:list :entity| Transcript show: 'First accordion tab action 4'; cr ] icon: MenuIcons projectIcon entitled: 'First accordion tab action 4';
			act: [:list :entity| Transcript show: 'First accordion tab action 5'; cr ] icon: MenuIcons jumpIcon entitled: 'First accordion tab action 5';
			act: [:list :entity| Transcript show: 'First accordion tab action 6'; cr ] icon: MenuIcons paintTabIcon entitled: 'First accordion tab action 6';
			display:  [ :x | 1 to: x ].
		a list
			title: 'Second';
			showOnly: 60;
			act: [:list :entity| Transcript show: 'Second accordion tab action 1'; cr ] icon: MenuIcons projectIcon entitled: 'Second accordion tab action 1';
			act: [:list :entity| Transcript show: 'Second accordion tab action 2'; cr ] icon: MenuIcons jumpIcon entitled: 'Second accordion tab action 2';
			display:  [ :x | 1 to: x ].
		a list
			title: 'Third';
			display:  [ :x | 1 to: x ] ].
		
	browser transmit  to: #stack; andShow: [ :a |
		a stackedVerticallyArrangement.
		a act: [:list :entity| Transcript show: 'Stacked arrangement action 1'; cr ] icon: MenuIcons jumpIcon entitled: 'Stacked arrangement action 1'.
		a title: 'Stack arrangement'.
		a list
			title: 'First';
			showOnly: 10;
			act: [:list :entity| Transcript show: 'First stacked tab action 1'; cr ] icon: MenuIcons projectIcon entitled: 'First stacked tab action 1';
			act: [:list :entity| Transcript show: 'First stacked tab action 2'; cr ] icon: MenuIcons jumpIcon entitled: 'First stacked tab action 2';
			display:  [ :x | 1 to: x ].
		a list
			title: 'Second';
			showOnly: 60;
			display:  [ :x | 1 to: x ].
		a list
			title: 'Third';
			act: [:list :entity| Transcript show: 'Third stacked tab action 1'; cr ] icon: MenuIcons projectIcon entitled: 'Third stacked tab action 1';
			act: [:list :entity| Transcript show: 'Third stacked tab action 2'; cr ] icon: MenuIcons jumpIcon entitled: 'Third stacked tab action 2';
			act: [:list :entity| Transcript show: 'Third stacked tab action 3'; cr ] icon: MenuIcons paintTabIcon entitled: 'Third stacked tab action 3';
			display:  [ :x | 1 to: x ] ].
		
	^browser ! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:07'!
longTabulator
	"
		self new longTabulator openOn: (MooseModel root allModels first allMethods entityNamed: #'org::argouml::model::Facade.getName()' )
	"
	<glmBrowser: 'Long Tabulator' input: '(MooseModel root allModels first allMethods entityNamed: #''org::argouml::model::Facade.getName()'' )'>
	|browser|
	browser := GLMTabulator new.
	browser column:  #col1; column:  #col2; column: #col3.
	browser transmit to: #col1; andShow: [ :a | 
		a list
			title: [:each | 'Methods invoking ', each name ];
			display: #invokingMethods ;
			format: #mooseName;
			showOnly: 30 ].
	browser transmit to: #col2; andShow: [ :a | 
		a list
			title: [:each | 'Methods invoking ', each name ];
			display: #invokingMethods ;
			format: #mooseName;
			showOnly: 200 ].
	browser transmit to: #col3; andShow: [ :a | 
		a list
			title: [:each | 'Methods invoking ', each name ];
			display: #invokingMethods ;
			format: #mooseName ].
	
	^browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:05'!
methodsInvocations
	"
		self new methodsInvocations openOn: (MooseModel root allModels first allMethods entityNamed: #'org::argouml::model::Facade.getName()' )
	"
	<glmBrowser: 'Methods Invocations' input: '(MooseModel root allModels first allMethods entityNamed: #''org::argouml::model::Facade.getName()'' )'>
	|innerBrowser finder|
	innerBrowser := GLMTabulator new.
	innerBrowser row: #methods; row: #source.
	innerBrowser transmit to: #methods; andShow: [ :a | 
		a list
			title: [:each | 'Methods invoking ', each name ];
			display: #invokingMethods ;
			showOnly: 50;
			format: #mooseName ].
	innerBrowser transmit from: #methods; to: #source; andShow: [:a |
		a text display: #sourceText ].
	
	innerBrowser transmit from: #methods; toOutside: #selection.
	
	finder  := GLMFinder new.
	finder title: [ :each | 'Reference browser on ', each mooseName ].
	finder show: [ :a |
		a custom: innerBrowser ].
	
	^finder! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 21:40'!
multiMethodsViewer
	"
		self new multiMethodsViewer openOn: MooseModel root allModels first
	"
	<glmBrowser: 'Multi methods viewer' input: 'MooseModel root allModels first'>
	| browser |
	browser := GLMTabulator new.
	browser title: 'Multi Methods Viewer'.
	browser 
 	 	column: [:c | c row:  #classes; row: #methods];
  		column: #source.
	browser transmit to: #classes; andShow: [ :a  |
 		a list 
   		   title: 'Classes';
		   showOnly: 50;
    		   display: [:model | model allClasses ] ].
	browser transmit to: #methods; from: #classes; andShow: [ :a |
  		a list 
    			title: [ :class | 'Methods from ', class name ];
    			beMultiple; 
    			display: [ :class | class methods ];
    			format: [ :class | class name ] ].
	browser transmit to: #source; from: #methods; andShow: [ :a |
  		a dynamic with: [ :some :methods | 
    			methods do: [ :each |
      			some text 
        			title: each name asString;
        			display: [ each sourceText] ].
    				some stackedArrangement ] ].
	^ browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:15'!
multipleTabPresentations
	"
		self new multipleTabPresentations openOn: 100
	"
	<glmBrowser: 'Multiple tab presentations' input: '100'>
	|browser|

	browser := GLMTabulator new.
	browser row: #justARow.

	browser transmit  to: #justARow; andShow: [ :a |
		"a title: 'A tab presentation."
		"a stackedVerticallyArrangement."
		a list
			title: 'First';
			showOnly: 10;
			display:  [ :x | 1 to: x ].
		a list
			title: 'Second';
			showOnly: 20;
			display:  [ :x | 1 to: x ].
		a list
			title: 'Third';
			showOnly: 70;
			display:  [ :x | 1 to: x ] .
		a list
			title: 'Fourth';
			showOnly: 524;
			display:  [ :x | 1 to: x ] .
		a list
			title: 'Fifth';
			display:  [ :x | 1 to: x ] ].
		
	^browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 9/16/2010 23:16'!
namespacesDependencies
	"
		self new simpleTree openOn: MooseModel root allModels first allModelNamespaces
	"
	<glmBrowser: 'Namespaces Dependencies' input: 'MooseModel root allModels first allModelNamespaces'>
	| finder |
	finder := GLMFinder new.
	finder show: [ :a |
		a list 
			showOnly: 30;
			format: #mooseName;
			send: #providerNamespaces ].
		
	^finder.! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:13'!
onePaneWithList
	"
		self new onePaneWithList openOn: 100
	"
	<glmBrowser: 'One pane with list' input: '100'>
	|browser|
	
	browser := GLMTabulator new.
	browser row: #justARow.
	browser title: 'Tabulator'.
	
	browser transmit to: #justARow; andShow: [ :a |
		a list
			showOnly: 20;
			title: 'A list presentation';
			display:  [ :x | 1 to: x ] ].

	^browser ! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:08'!
simpleTree
	"
		self new simpleTree openOn: (1 to: 100)
	"
	<glmBrowser: 'Simple tree' input: '1 to: 100'>
	|browser|

	browser := GLMTabulator new.
	browser column: #one.
	browser showOn: #one; using: [
		browser tree
			title: 'No expansion';
			children: [:item | 1 to: 4];
			showOnly: 10.
		browser tree
			title: 'Roots expanded';
			rootsExpanded;
			children: [:item | 1 to: 4];
			showOnly: 10 ].

	^ browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:00'!
tabsWithActions
	"
		self new tabsWithActions openOn: 18
	"
	<glmBrowser: 'Tabs with actions' input: '18'>
	|browser|
	browser := GLMTabulator new.
	browser column: #aColumn.

	browser transmit  to: #aColumn; andShow: [ :a |
		a title: 'Tab arrangement'.
		a list
			title: 'First';
			showOnly: 10;
			display:  [ :x | 1 to: x ];
			act: [:list :entity| Transcript show: '+1'; cr ] icon: MenuIcons projectIcon entitled: '+1';
			act: [:list :entity| Transcript show: '+2'; cr ] icon: MenuIcons jumpIcon entitled: '+2';
			act: [:list :entity| Transcript show: '+3'; cr ] icon: MenuIcons jumpIcon entitled: '+3'.
		a list
			title: 'Second';
			showOnly: 60;
			display:  [ :x | 1 to: x ];
			act: [:list :entity| Transcript show: '-1'; cr ] icon: MenuIcons publishIcon entitled: '-1';
			act: [:list :entity| Transcript show: '-2'; cr ] icon: MenuIcons jumpIcon entitled: '-2'.
		a list
			title: 'Third';
			display:  [ :x | 1 to: x ] ;
			act: [:list :entity| Transcript show: '*1'; cr ] icon: MenuIcons paintTabIcon entitled: '*1';
			act: [:list :entity| Transcript show: '*2'; cr ] icon: MenuIcons helpIcon entitled: '*2';
			act: [:list :entity| Transcript show: '*3'; cr ] icon: MenuIcons projectIcon entitled: '*3';
			act: [:list :entity| Transcript show: '*4'; cr ] icon: MenuIcons jumpIcon entitled: '*4'  ].
	^browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 9/1/2010 01:19'!
tabsWithMenues
	"
		self new tabsWithMenues openOn: 10
	"
	<glmBrowser: 'Tabs with menues' input: '10'>
	|browser|
	browser := GLMTabulator new.
	browser column: #aColumn.

	browser transmit  to: #aColumn; andShow: [ :a |
		a list
			title: 'A tab';
			showOnly: 10;
			display:  [ :x | 1 to: x ];
			act: [:list :entity| Transcript show: '+1'; cr ] entitled: '+1' categorized: 'Adition';
			act: [:list :entity| Transcript show: '+2'; cr ] entitled: '+2'categorized: 'Adition';
			act: [:list :entity| Transcript show: '+3'; cr ] entitled: '+3' categorized: 'Adition';
			act: [:list :entity| Transcript show: '+4'; cr ] entitled: '+4'categorized: 'Adition';
			act: [:list :entity| Transcript show: '+5'; cr ] entitled: '+5'categorized: 'Adition';
			act: [:list :entity| Transcript show: '-1'; cr ] entitled: '-1' categorized: 'Substraction';
			act: [:list :entity| Transcript show: '-2'; cr ] entitled: '-2'categorized: 'Substraction';
			act: [:list :entity| Transcript show: '-3'; cr ] entitled: '-3' categorized: 'Substraction';
			act: [:list :entity| Transcript show: '-4'; cr ] entitled: '-4'categorized: 'Substraction';
			act: [:list :entity| Transcript show: '-5'; cr ] entitled: '-5'categorized: 'Substraction'.].
	^browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:22'!
textSelectedTextPort
	"
		self new textSelectedTextPort openOn: 20
	"
	<glmBrowser: 'Text presentation - selected text port' input: '20'>
	| browser |
	browser := GLMTabulator new.
	browser 
		row: [:r | r column: #numbers; column: #selection; column: #details].
		
	browser showOn: #numbers; using: [
		browser list
			title: 'Selectors';
			beMultiple;
			allowDeselection;
			display: [:x| 1 to: x ]].

	browser showOn: #selection;  using: [
		browser text
			title: 'Text with selection by "selectedText"';
			display: [:x | |value|
				value := ''.
				1 to:(x-5) do: [:index| value := value,index asString ].
				value] ].
		
	browser transmit 
		to: #selection->#selectedText; 
		from: #numbers->#selection; 
		transformed: [:list| |value|
			value := ''.
			list ifNil: [value := nil] ifNotNil:  [list do: [:each | value := value, each asString ] ].
			value].
	
	browser transmit 
		to: #details; 
		from: #selection->#text;
		from: #selection->#selectionInterval;
		from: #selection->#selectedText; 
		when: [:text :interval :selection | true] ;
		transformed:  [ :text :interval  :selection |
			'Text[',text asString size asString ,']: "',text asString, '"
Selection[',selection asString size asString,']: "', selection asString,'"
Interval: ', interval asString  ];
		andShow: [ :a| a text title: 'Details'].
	
	^ browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:20'!
textSelectionIntervalPort
	"
		self new textSelectionIntervalPort openOn: (1 to: 100)
	"
	<glmBrowser: 'Text presentation - selection interval port' input: '1 to: 100'>
	| browser |
	browser := GLMTabulator new.
	browser 
		row: [ :r | 
			r 
			 column: #startInterval1; 
			 column: #startInterval2;
			 column: [:c | 
				c row: [:r1 | r1 column: #changeSelection1; column: #changeSelection2]; 
				   row: [:r1 | r1 column: #changePresentation1; column: #changePresentation2] ] ]; 
		row: [:r | r column: #text; column: #details].
	browser transmit to: #startInterval1; andShow: [ :a | a list title: 'Set start of selection interval'; allowDeselection ].
	browser transmit to: #startInterval2; andShow: [ :a | a list title: 'Set end of selection interval'; allowDeselection ].
	
	browser transmit 
		to: #text->#selectionInterval; 
		from: #startInterval1; 
		from: #startInterval2; 
		when: [:s :e | (s notNil & e notNil) or: [s isNil & e isNil] ] ; 
		transformed: [ :s :e |  (s isNil & e isNil) ifTrue: [nil] ifFalse:  [s to: e] ].
	
	browser transmit to: #changeSelection1; andShow: [ :a | a list title: 'Sets selection to start of selection interval'; allowDeselection  ].
	browser transmit to: #changeSelection2; andShow: [ :a | a list title: 'Sets selection to end of selection interval'; allowDeselection  ].
	browser transmit to: #changeSelection1->#selection; from: #text->#selectionInterval; transformed: [:interval | interval ifNil: [nil] ifNotNil: [interval first] ].
	browser transmit to: #changeSelection2->#selection; from: #text->#selectionInterval; transformed: [:interval | interval ifNil: [nil] ifNotNil: [interval last] ].
	
	browser transmit 
		to: #changePresentation1; 
		from: #text->#selectionInterval; 
		transformed: [:interval | interval ifNil: [0] ifNotNil: [interval first] ];
		andShow: [ :a | 
			a list 
				title: 'List to start of selection interval';
				display: [:x | 0 to: x] ].
	browser transmit 
		to: #changePresentation2; 
		from: #text->#selectionInterval; 
		transformed: [:interval | interval ifNil: [0] ifNotNil: [interval last] ];
		andShow: [ :a | 
			a list 
				title: 'List to end of selection interval';
				display: [:x | 0 to: x] ].
	
	browser transmit to: #text; andShow: [ :a | 
		a text 
			title: 'Text with selection';
			"display: 'some piece of text to test the selection interval on.']."
			display: '123456789'].
		
	browser transmit 
		to: #details; 
		from: #text->#text;
		from: #text->#selectionInterval;
		from: #text->#selectedText; 
		when: [:text :interval :selection | true] ;
		transformed:  [ :text :interval  :selection |
			'Text[',text asString size asString ,']: "',text asString, '"
Selection[',selection asString size asString,']: "', selection asString,'"
Interval: ', interval asString  ];
		andShow: [ :a| a text].
	"browser transmit 
		to: #details; 
		from: #text->#selectedText; 
		when: [:selection | true] ;
		transformed:  [ :selection |
			'Selection: ', selection asString ];
		andShow: [ :a| a text]."
	
	^ browser ! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:18'!
textSelectionPorts
	"
		self new textSelectionPorts openOn: 10
	"
	<glmBrowser: 'Text presentation - selection ports' input: '10'>
	| browser |
	browser := GLMTabulator new.
	browser 
		row: [:r | 
			r column: [:c | c row: #text1; row: #selectedText]; 
			  column: [:c | c row: #selection11; row: #details11 ];
			  column: [:c | c row: #text2; row: [:r1 | r1 column: #selectionIntervalStart; column: #selectionIntervalStop ]];
			  column: [:c | c row: #selection21; row: #details21 ] ].
		
	browser showOn: #text1; using: [
		browser list
			title: 'Text port';
			beMultiple;
			allowDeselection;
			display: [:x| 1 to: x ]].
		
	browser showOn: #selectedText; using: [
		browser list
			title: 'SelectedText port';
			beMultiple;
			allowDeselection;
			display: [:x| 1 to: x ]].
	
	browser transmit 
		to: #selection11;
		transformed: [:value | ''];
		andShow: [:a | a text title: 'Text with "selectedText"'].
	
	browser transmit 
		to: #selection11->#text;
		from: #text1->#selection;	
		transformed: [:list| |value|
			value := ''.
			list ifNil: [value := nil] ifNotNil:  [ list do: [:each | value := value, each asString ] ].
			value ].
		
	browser transmit 
		to: #selection11->#selectedText;
		from: #selectedText->#selection;	
		transformed: [:list| |value|
			value := ''.
			list ifNil: [value := nil] ifNotNil:  [ list do: [:each | value := value, each asString ] ].
			value ].
	
	browser transmit 
		to: #details11; 
		from: #selection11->#text;
		from: #selection11->#selectionInterval;
		from: #selection11->#selectedText; 
		when: [:text :interval :selection | true] ;
		transformed:  [ :text :interval  :selection |
			'Text[',text asString size asString ,']: "',text asString, '"
Selection[',selection asString size asString,']: "', selection asString,'"
Interval: ', interval asString  ];
		andShow: [ :a| a text title: 'Details'].
		
		""""""""""""""""""""""""""""
		
	browser showOn: #text2; using: [
		browser list
			title: 'Text port';
			beMultiple;
			allowDeselection;
			display: [:x| 1 to: x ]].
		
	browser showOn: #selectionIntervalStart; using: [
		browser list
			title: 'SelectionInterval start';
			allowDeselection;
			display: [:x| 1 to: x ]].
	browser showOn: #selectionIntervalStop; using: [
		browser list
			title: 'SelectionInterval Stop';
			allowDeselection;
			display: [:x| 1 to: x ]].
	
	browser transmit 
		to: #selection21;
		transformed: [:value | ''];
		andShow: [:a | a text title: 'Text with "selectionInterval"'].
	
	browser transmit 
		to: #selection21->#text;
		from: #text2->#selection;	
		transformed: [:list| |value|
			value := ''.
			list ifNil: [value := nil] ifNotNil:  [ list do: [:each | value := value, each asString ] ].
			value ].
	
	browser transmit 
		to: #selection21->#selectionInterval; 
		from: #selectionIntervalStart; 
		from: #selectionIntervalStop; 
		when: [:s :e | (s notNil & e notNil) or: [s isNil & e isNil] ] ; 
		transformed: [ :s :e |  (s isNil & e isNil) ifTrue: [nil] ifFalse:  [s to: e] ].
	
	browser transmit 
		to: #details21; 
		from: #selection21->#text;
		from: #selection21->#selectionInterval;
		from: #selection21->#selectedText; 
		when: [:text :interval :selection | true] ;
		transformed:  [ :text :interval  :selection |
			'Text[',text asString size asString ,']: "',text asString, '"
Selection[',selection asString size asString,']: "', selection asString,'"
Interval: ', interval asString  ];
		andShow: [ :a| a text title: 'Details'].
		
	
	^ browser! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 9/1/2010 23:37'!
textTextPorts
	"
		self new textSelectionPorts openOn: 'Type and select to see the 
	results previewed.'
	"
	<glmBrowser: 'Text presentation - text port' input: '''Type and select to see the 
	results previewed'''>
	| browser |
	browser := GLMTabulator new.
	browser 
		row: #main; 
		row: [:r | r column: #full1; column: #fullFromTransmision1]; 
		row: [:r | r column: #full2; column: #fullFromTransmision2].
	browser showOn: #main; using: [browser text].
	
	browser showOn: #full1; from: #main->#text; using: [browser text].
	browser showOn: #fullFromTransmision1; using: [browser text].
	browser transmit to: #fullFromTransmision1->#text; from: #main->#text; when: [:text| text notNil].
	
	browser showOn: #full2; from: #full1->#text; using: [browser text].
	browser showOn: #fullFromTransmision2; using: [browser text].
	browser transmit to: #fullFromTransmision2->#text; from: #fullFromTransmision1->#text; when: [:text| text notNil].
	
	^ browser! !

!SGLDevExamples methodsFor: 'accessing' stamp: 'AndreiChis 8/31/2010 18:44'!
title
	^ 'DevExamples'! !

!SGLDevExamples methodsFor: 'other' stamp: 'AndreiChis 8/31/2010 19:02'!
treeWithTags
	"
		self new treeWithTags openOn: #( (1 2 3 4) (5 6 7 (8 9 99) (10 11) ( (12 13) (13 15) ) ) (16 17 18  (19 20 21 22) (23 24 25 26)) )
	"
	<glmBrowser: 'Tree with tags' input: '#( (1 2 3 4) (5 6 7 (8 9 99) (10 11) ( (12 13) (13 15) ) ) (16 17 18  (19 20 21 22) (23 24 25 26)) )'>
	|browser |
	browser := GLMTabulator new.
	browser column: #one; column: #two.
	browser showOn: #one; using: [
		browser tree
			title: 'No expansion';
			tags: [:each | 
				each isNumber 
				ifTrue: [
					{each even ifTrue: ['even'] ifFalse: ['odd'] } ]
				ifFalse: [
					{each size even ifTrue: ['even'] ifFalse: ['odd'] } ] ];
			children: [:x :i | x isCollection ifTrue: [x] ifFalse: [OrderedCollection new] ].
			
		browser tree
			title: 'All Expanded';
			allExpanded;
			tags: [:each | 
				each isNumber 
				ifTrue: [
					{each even ifTrue: ['even'] ifFalse: ['odd'] } ]
				ifFalse: [
					{each size even ifTrue: ['even'] ifFalse: ['odd'] } ] ];
			children: [:x :i | x isCollection ifTrue: [x] ifFalse: [OrderedCollection new] ] ].
	browser showOn: #two; from: #one; using: [ browser text ].
	^ browser! !

!SGLExamples methodsFor: 'accessing' stamp: 'AndreiChis 8/31/2010 17:36'!
browser
	| browser |
	browser := GLMTabulator new.
	browser title: self title.
	browser column: #titles; column: #example span: 4.
	browser showOn: #titles; using: [
		browser list
			display: [:list | list asSortedCollection: [:a :b | 
				(a argumentAt: 1) < (b argumentAt: 1)] ];
			format: [:each | each argumentAt: 1]].
	browser showOn: #example; from: #titles; using: [
		browser dynamic
			title: 'Browser';
			presentation: [ :some :each | 
				some custom: ((self class new perform: each selector) startOn: (Compiler evaluate: (each argumentAt: 2) logged: false))].
		browser text 
			title: 'Source code';
			forSmalltalk: self class;
			display: [:each | self class sourceCodeAt: each selector]].	
	^ browser! !

!SGLExamples methodsFor: 'accessing' stamp: 'AndreiChis 8/31/2010 17:37'!
model
	^ Pragma allNamed: #glmBrowser:input: in: self class! !

SGLExamples subclass: #SGLOtherExamples
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLOtherExamples classSide methodsFor: 'instance creation' stamp: 'AndreiChis 9/20/2010 20:09'!
initialize
	self registerAsApplication: 'glamour/otherExamples'! !

!SGLOtherExamples methodsFor: 'others' stamp: 'AndreiChis 9/20/2010 20:01'!
codeBrowser
	"
		self new codeBrowser openOn: Collection
	"
	<glmBrowser: 'Code Browser' input: 'Collection'>
	| browser |
	browser := GLMTabulator new.   

	browser row: [ :row | row column: #classes; column: #selectors ].
	browser row: #source.

	browser showOn: #classes; using: [
		browser tree
			title: 'Tree';
			children: [ :class | class subclasses ].
		browser mondrian
			title: 'Mondrian';
			painting: [ :view :class |
				view nodeShape size: 10. 
				view nodes: class withAllSubclasses.
				view edgesFrom: #superclass. 
				view treeLayout ] ].
	browser showOn: #selectors; from: #classes; using: [
		browser list 
			display: [ :class | class selectors asSortedCollection ] ].

	browser showOn: #source; from: #classes; from: #selectors; using: [
		browser text
			title: 'Source';
			when: [ :class :selector | class notNil and: [ selector notNil ] ];
			display: [ :class :selector | class sourceCodeAt: selector ].
		browser text
			title: 'Comment';
			display: [ :class :selector | class comment ] ].
		
	^ browser! !

!SGLOtherExamples methodsFor: 'others' stamp: 'AndreiChis 9/20/2010 20:11'!
fileBrowser
	"
		self new fileBrowser openOn: FileDirectory default containingDirectory 
	"
	<glmBrowser: 'File Browser' input: 'FileDirectory default containingDirectory '>
	| browser |
	browser := GLMTabulator new.
	browser 
		column: #folders;
		column: [ :column | column row: #files span: 2; row: #summary ] span: 2.

	browser showOn: #folders; using: [
		browser tree 
			title: 'Folders'; 
			children: [ :directory | 
				directory directoryNames
					collect: [ :each | directory directoryNamed: each ] ];
			format: [ :directory | directory localName ] ].

	browser showOn: #files; from: #folders; using: [
		browser list
			display: [ :directory | 
				directory fileNames
					collect: [ :each | directory directoryNamed: each ] ];
			format: [ :directory | directory localName ] ].

	browser showOn: #summary; from: #files; using: [
		browser text 
			title: 'Summary';
			display: [ :directory |
				| stream |
				stream := FileStream oldFileNamed: directory pathName.
				[ (stream binary; next: 2000) asString ] 
					ensure: [ stream close ] ] ].

	^ browser! !

!SGLOtherExamples methodsFor: 'others' stamp: 'AndreiChis 9/20/2010 20:14'!
pierBrowser
	"
		self new pierBrowser openOn: PRKernel instances anyOne root
	"
	<glmBrowser: 'Pier Browser' input: 'PRKernel instances anyOne root'>
	| browser |
	browser := GLMTabulator new.
	browser column: [:c | c row: #navigation; row: #map ];
			column: #editor span: 4.
	browser showOn: #navigation; using: [
		browser tree
			children: [ :page | page enumerator contents ];
			format: [ :page | page title ] ].
	browser showOn: #map; using: [
		browser mondrian
			painting: [ :view :page |
				view nodeShape: (MORectangleShape new height: [ :each | each document text size // 50 + 20 ]; width: [ :each | each document text size // 50 + 20 ]).
				view nodes: page root enumerator all.
				view edgesFrom: #parent.
				view treeLayout ]
	].
	browser showOn: #editor; from: #navigation; using: [
		browser magritte ].
	browser showOn: #editor; from: #map; using: [
		browser magritte ].
	^ browser ! !

!SGLOtherExamples methodsFor: 'others' stamp: 'AndreiChis 9/20/2010 20:30'!
stBrowserExamples
	"
		self new stBrowserExamples openOn:  (BrowserEnvironment new forPackageNames: (Array with: 'Glamour'))
	"
	<glmBrowser: 'STBrowser' input: '(BrowserEnvironment new forPackageNames: #(''Glamour''))'>
	^ GLMSTBrowserExample new browser! !

!SGLOtherExamples methodsFor: 'accessing' stamp: 'AndreiChis 9/20/2010 19:58'!
title
	^ 'Other Examples'! !

SGLComponent subclass: #SGLExpanderWithAdd
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLExpanderWithAdd classSide methodsFor: 'initialization' stamp: 'AndreiChis 1/11/2011 22:00'!
initialize
	self registerAsApplication: 'glamour/development/expander/expanderWithAdd'! !

!SGLExpanderWithAdd methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 22:09'!
browser
	"self new browser openOn: self new model."
	| browser expander |
	
	expander := GLMExpander new.
	expander title: 'An expander'.
	expander show: [ :a | 
		a title: [:x| x asString].
		a list
			display: [:x | 1 to: x]].
	
	browser := GLMTabulator new.
	browser column: #col1; column: #col2.
	browser transmit to: #col1; andShow: [ :a |
		a list
			display: [ :x | 1to: x] ].
	browser transmit from: #col1->#selection transformed: [:value| value to: value]; to: #col2; andShowIfNone: [:a |
		a custom: expander ].
		
	^ browser! !

!SGLExpanderWithAdd methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 21:56'!
model
	^ 100! !

SGLComponent subclass: #SGLExpanderWithLists
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLExpanderWithLists classSide methodsFor: 'initialization' stamp: 'AndreiChis 1/11/2011 16:02'!
initialize
	self registerAsApplication: 'glamour/development/expander/expanderWithLists'! !

!SGLExpanderWithLists methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 22:56'!
browser
	"self new browser openOn: self new model."
	| browser |
	
	browser := GLMExpander new.
	browser title: 'An expander'.
	browser show: [ :a | 
		a title: [:x| x asString].
		a list
			display: [:x | 1 to: x] ].
	^ browser! !

!SGLExpanderWithLists methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 21:27'!
model
	^ #(1 2 3 4 6 7 8 9 1000 2001)! !

SGLComponent subclass: #SGLExpanderWithText
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLExpanderWithText classSide methodsFor: 'initialization' stamp: 'AndreiChis 1/11/2011 20:12'!
initialize
	self registerAsApplication: 'glamour/development/expander/expanderWithText'! !

!SGLExpanderWithText methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 20:14'!
browser
	"self new browser openOn: self new model."
	| browser |
	
	browser := GLMExpander new.
	browser show: [ :a | 
		a title: [:x| x asString].
		a text ].
	^ browser! !

!SGLExpanderWithText methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 20:15'!
model
	^ #('
	a
	b
	c
	d
	e
	f
	g
	h
	j
	' 
	'aaaaaaaaa'
	'
	1
	2
	3
	4
	5
	6
	7
	8
	9
	')! !

SGLComponent subclass: #SGLExpanderWithinExpander
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLExpanderWithinExpander classSide methodsFor: 'initialization' stamp: 'AndreiChis 1/11/2011 22:37'!
initialize
	self registerAsApplication: 'glamour/development/expander/expanderWithinExpander'! !

!SGLExpanderWithinExpander methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 22:39'!
browser
	"self new browser openOn: self new model."
	| browser |
	
	browser := GLMExpander new.
	browser show: [ :a | 
		|expander|
		
		a title: [:x | x asString].
		expander := GLMExpander new.
		expander show: [ :aa |
			aa title: [:x | x asString].
			aa list
				display: [:x| 1 to: x] ].
		
		a custom: expander ].
	^ browser! !

!SGLExpanderWithinExpander methodsFor: 'accessing' stamp: 'AndreiChis 1/11/2011 22:35'!
model
	^ #( #(2 5) #(12 14) #(3 4) )! !

SGLComponent subclass: #SGLMooseCodeWithAnnotations
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLMooseCodeWithAnnotations classSide methodsFor: 'initialization' stamp: 'AndreiChis 8/31/2010 16:26'!
initialize
	self registerAsApplication: 'moose/codeBrowser'! !

!SGLMooseCodeWithAnnotations methodsFor: 'accessing' stamp: 'AndreiChis 8/18/2010 21:50'!
browser
	"self new browser openOn: self new model"

	^ MooseBrowsers new codeWithAnnotationsBrowser
! !

!SGLMooseCodeWithAnnotations methodsFor: 'accessing' stamp: 'AndreiChis 8/18/2010 21:50'!
model
	^ MooseModel root allModels first.! !

SGLComponent subclass: #SGLMooseFinder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLMooseFinder classSide methodsFor: 'initialization' stamp: 'AndreiChis 8/31/2010 16:26'!
initialize
	self registerAsApplication: 'moose/finder'! !

!SGLMooseFinder methodsFor: 'accessing' stamp: 'AndreiChis 8/16/2010 18:20'!
browser
	"self new browser openOn: self new model"

	^ MooseFinder new buildBrowser! !

!SGLMooseFinder methodsFor: 'accessing' stamp: 'AndreiChis 8/16/2010 22:20'!
model
	^ MooseModel root allModels first.! !

SGLComponent subclass: #SGLMooseMetaBrowser
	instanceVariableNames: 'mooseMetaBrowser'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLMooseMetaBrowser classSide methodsFor: 'instance creation' stamp: 'AndreiChis 8/31/2010 16:24'!
initialize
	self registerAsApplication: 'moose/metaBrowser'! !

!SGLMooseMetaBrowser methodsFor: 'accessing' stamp: 'AndreiChis 8/23/2010 19:35'!
browser
	"
	|component|
	component := self new.
	component browser openOn: component model.
	"

	^ mooseMetaBrowser buildBrowser! !

!SGLMooseMetaBrowser methodsFor: 'initialization' stamp: 'AndreiChis 8/22/2010 21:12'!
initialize 
	super initialize.
	mooseMetaBrowser := MooseMetaBrowser new! !

!SGLMooseMetaBrowser methodsFor: 'accessing' stamp: 'AndreiChis 8/22/2010 21:12'!
model
	|aFMMetaRepository|
	aFMMetaRepository := MooseModel meta.
	mooseMetaBrowser computeChildrenHierarchy:  aFMMetaRepository.
	^ aFMMetaRepository! !

SGLComponent subclass: #SGLStackedVerticallyComposite1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLStackedVerticallyComposite1 classSide methodsFor: 'initialization' stamp: 'AndreiChis 12/8/2010 12:55'!
initialize
	self registerAsApplication: 'glamour/development/stack/threePanes'! !

!SGLStackedVerticallyComposite1 methodsFor: 'accessing' stamp: 'AndreiChis 12/8/2010 12:55'!
browser	
	| browser |
	browser := GLMTabulator new.
	browser row: #aRow.
	
	browser transmit to: #aRow; andShow: [:a | 
		a title: 'Stack'.
		a stackedVerticallyArrangement.
		a list 
			title: 'List1';
			display: [:x| 1 to: x]. 
		a list 
			title: 'List2';
			display: [:x| 1 to: x-1].
		a list 
			title: 'List3';
			display: [:x| 10 to: x] ].

	^ browser ! !

!SGLStackedVerticallyComposite1 methodsFor: 'accessing' stamp: 'AndreiChis 12/8/2010 12:55'!
model
	^ 20! !

SGLComponent subclass: #SGLStackedVerticallyComposite2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLStackedVerticallyComposite2 classSide methodsFor: 'initialization' stamp: 'AndreiChis 12/8/2010 12:59'!
initialize
	self registerAsApplication: 'glamour/development/stack/dynamicCreation'! !

!SGLStackedVerticallyComposite2 methodsFor: 'accessing' stamp: 'AndreiChis 12/8/2010 16:39'!
browser	
	| browser innerBrowser1 |
	
	innerBrowser1 := GLMTabulator new.
	innerBrowser1 column: #col1; column: #col2 span: 3.
	innerBrowser1 title: 'Inner browser 1'.
	innerBrowser1 transmit to: #col1; andShow: [:a|
		a list display: [:x| 1 to: x]].
	innerBrowser1 transmit to: #col2; andShow: [:a|
		a stackedVerticallyArrangement.
		a list 
			title: 'Inner list 1';
			display: [:x| 1 to: x].
		a list 
			title: 'Inner list 2';
			display: [:x| 1 to: x] ].
	
	browser := GLMTabulator new.
	browser column: #list; column: #stack span: 5.
	
	browser transmit to: #list; andShow: [:a|
		a list].
	
	browser transmit to: #stack; from: #list; andShow: [:a | 
		a title: 'Stack'.
		a stackedVerticallyArrangement.
		a list 
			title: 'List1';
			display: [:x| 1 to: x]. 
		a  custom: innerBrowser1 ].

	^ browser ! !

!SGLStackedVerticallyComposite2 methodsFor: 'accessing' stamp: 'AndreiChis 12/8/2010 13:00'!
model
	^ 1 to: 20! !

SGLComponent subclass: #SGLTabulatorComposed1
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorComposed1 classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/27/2010 18:41'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/composed1'! !

!SGLTabulatorComposed1 methodsFor: 'accessing' stamp: 'AndreiChis 11/29/2010 19:18'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser 
		column: [:c1| c1 row: #col1row1; row: #col1row2; row: #col1row3; row: #col1row4]; 
		column: [:c2| c2 row: #col2row1; row: #col2row2; row: #col2row3]; 
		column: [:c3| c3 
			row: [:r| r column: #col3row1col1; column: #col3row1col2; column: #col3row1col3 ]; 
			row: [:r| r column: #col3row2col1; column: #col3row2col2] ].
	
	^ browser! !

!SGLTabulatorComposed1 methodsFor: 'accessing' stamp: 'AndreiChis 11/29/2010 19:23'!
model
	^ 1! !

SGLComponent subclass: #SGLTabulatorComposed2
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorComposed2 classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/29/2010 18:30'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/composed2'! !

!SGLTabulatorComposed2 methodsFor: 'accessing' stamp: 'AndreiChis 11/29/2010 19:39'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser 
		column: [:c1| c1 row: [:r|
				r column: #col1row1col1; column: #col1row1col2; column: #col1row1col2 ]; 
			row: #col1row2; row: #col1row3]; 
		column: [:c2| c2 row: #col2row1; row: [ :c |
				c column: #a; column: #b ]].
	
	^ browser! !

!SGLTabulatorComposed2 methodsFor: 'accessing' stamp: 'AndreiChis 11/29/2010 18:30'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorFourColumns
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorFourColumns classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/26/2010 14:21'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/fourColumns'! !

!SGLTabulatorFourColumns methodsFor: 'accessing' stamp: 'AndreiChis 11/29/2010 14:41'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser column: #one; column: #two; column: #three; column: #four.
	
	^ browser! !

!SGLTabulatorFourColumns methodsFor: 'accessing' stamp: 'AndreiChis 11/26/2010 14:21'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorFourRows
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorFourRows classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/26/2010 14:19'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/fourRows'! !

!SGLTabulatorFourRows methodsFor: 'accessing' stamp: 'AndreiChis 11/26/2010 14:18'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser row: #one; row: #two; row: #three; row: #four.
	
	^ browser! !

!SGLTabulatorFourRows methodsFor: 'accessing' stamp: 'AndreiChis 11/26/2010 14:18'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorOneColumn
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorOneColumn classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/27/2010 17:41'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/oneColumn'! !

!SGLTabulatorOneColumn methodsFor: 'accessing' stamp: 'AndreiChis 11/30/2010 14:58'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser column: #one span: 2.
	
	^ browser! !

!SGLTabulatorOneColumn methodsFor: 'accessing' stamp: 'AndreiChis 11/27/2010 17:41'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorOneRow
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorOneRow classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/27/2010 17:42'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/oneRow'! !

!SGLTabulatorOneRow methodsFor: 'accessing' stamp: 'AndreiChis 11/30/2010 15:01'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser row: #one span: 5.
	
	^ browser! !

!SGLTabulatorOneRow methodsFor: 'accessing' stamp: 'AndreiChis 11/27/2010 17:42'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorTwoColumns
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorTwoColumns classSide methodsFor: 'as yet unclassified' stamp: 'AndreiChis 11/19/2010 21:59'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/twoColumns'! !

!SGLTabulatorTwoColumns methodsFor: 'accessing' stamp: 'AndreiChis 11/30/2010 16:46'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser column: #one span: 1; column: #two span: 1.
	
	^ browser! !

!SGLTabulatorTwoColumns methodsFor: 'accessing' stamp: 'AndreiChis 11/19/2010 22:29'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorTwoRows
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorTwoRows classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/26/2010 12:58'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/twoRows'! !

!SGLTabulatorTwoRows methodsFor: 'accessing' stamp: 'AndreiChis 11/30/2010 16:11'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser row: #one span: 1; row: #two span: 3.
	
	^ browser! !

!SGLTabulatorTwoRows methodsFor: 'accessing' stamp: 'AndreiChis 11/26/2010 12:57'!
model
	^ nil! !

SGLComponent subclass: #SGLTabulatorWithTabs
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorWithTabs classSide methodsFor: 'initialization' stamp: 'AndreiChis 12/4/2010 14:23'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/tabulatorWithTabs'! !

!SGLTabulatorWithTabs methodsFor: 'accessing' stamp: 'AndreiChis 12/4/2010 14:26'!
browser
	"self new browser openOn: self new model"	
	| browser |
	browser := GLMTabulator new.
	browser row: [:r | 
		r column: #col1; column: #col2; column: #col3 ] span: 4; row: #preview.

	browser transmit  to: #col1; andShow: [ :a |
		"a title: 'A tab presentation."
		"a stackedVerticallyArrangement."
		a list
			title: 'First';
			showOnly: 50;
			display:  [ :x | 1 to: x ].
		a list
			title: 'Second';
			showOnly: 80;
			display:  [ :x | 1 to: x ].
		a list
			title: 'Third';
			showOnly: 70;
			display:  [ :x | 1 to: x ] .
		a list
			title: 'Fourth';			
			display:  [ :x | 1 to: x ] ].
		
	^browser
	! !

!SGLTabulatorWithTabs methodsFor: 'accessing' stamp: 'AndreiChis 12/4/2010 14:23'!
model
	^ 50! !

SGLComponent subclass: #SGLTabulatorWithinTabulator
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTabulatorWithinTabulator classSide methodsFor: 'initialization' stamp: 'AndreiChis 11/30/2010 13:14'!
initialize
	self registerAsApplication: 'glamour/development/tabulator/tabulatorWithinTabulator1'! !

!SGLTabulatorWithinTabulator methodsFor: 'accessing' stamp: 'AndreiChis 11/30/2010 13:15'!
browser
	"self new browser openOn: self new model"
	|browser1 browser2 browser3|
	browser1 := GLMTabulator new.
	browser1 
		column: #col1; 
		column: #col2.
		
	browser2 := GLMTabulator new.
	browser2 
		row: #row1; 
		row: #row2.
		
	browser3 := GLMTabulator new.
	browser3 
		row: #row1; 
		row: #row2;
		row: #row3.
	
	browser1 transmit to: #col1; andShow: [:a|
		a custom: browser2 ].
	browser1 transmit to: #col2; andShow: [:a|
		a custom: browser3 ].
	
	^ browser1! !

!SGLTabulatorWithinTabulator methodsFor: 'accessing' stamp: 'AndreiChis 11/30/2010 13:13'!
model
	^ 1! !

SGLComponent subclass: #SGLTreeAppend
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTreeAppend classSide methodsFor: 'initialization' stamp: 'AndreiChis 1/5/2011 22:58'!
initialize
	self registerAsApplication: 'glamour/development/tree/treeWithAppend'! !

!SGLTreeAppend methodsFor: 'accessing' stamp: 'AndreiChis 1/5/2011 22:58'!
browser
	|browser|

	browser := GLMTabulator new.
	browser  column: #col1; column: #col2; column: #col3; column: #col4.

	browser transmit  to: #col1; andShow: [ :a |
		a list
			title: 'First';
			showOnly: 10;
			display:  [ :x | 1 to: x ] ].
	browser transmit  to: #col2; andShow: [ :a |		
		a list
			title: 'Second';
			showOnly: 20;
			display:  [ :x | 1 to: x ] ].
		
	browser transmit  to: #col3; andShow: [ :a |		
		a list
			title: 'Third';
			showOnly: 70;
			display:  [ :x | 1 to: x ]  ].
		
	browser transmit  to: #col4; andShow: [ :a |		
		a list
			title: 'Fourth';
			showOnly: 524;
			display:  [ :x | 1 to: x ] ].
	
	^browser! !

!SGLTreeAppend methodsFor: 'accessing' stamp: 'AndreiChis 1/5/2011 22:58'!
model
	^ 100! !

SGLComponent subclass: #SGLTreeSelectionOutsideLimits
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples-Dev'!

!SGLTreeSelectionOutsideLimits classSide methodsFor: 'initialization' stamp: 'AndreiChis 1/5/2011 22:49'!
initialize
	self registerAsApplication: 'glamour/development/tree/treeWithSelectionOutsideLimits'! !

!SGLTreeSelectionOutsideLimits methodsFor: 'accessing' stamp: 'AndreiChis 1/5/2011 22:49'!
browser
	"self new browser openOn: self new model"
	|browser|

	browser := GLMTabulator new.
	browser  
		column: #col1; 
		column: [:c | 
			c row: [:r | r column: #col2_row1_col1; column: #col2_row1_col2 ]; row: #col2_row2 ].

	browser transmit  to: #col1; andShow: [ :a |
		a list				
			display:  [ :x | 4*x to: 20*x ] ].
		
	browser transmit  to: #col2_row2; from: #col1->#selection; andShow: [ :a |
		a text].
	
	browser transmit  to: #col2_row1_col1; andShow: [ :a |
		a list					
			showOnly: 40;
			display:  [ :x | 1 to: x * 20 ] ].
	
	browser transmit  to: #col2_row1_col1->#selection; from: #col1->#selection.
	
	browser transmit  to: #col2_row1_col2; from: #col2_row1_col1->#selection; andShow: [ :a |
		a text ].
	
	^browser! !

!SGLTreeSelectionOutsideLimits methodsFor: 'accessing' stamp: 'AndreiChis 1/5/2011 22:49'!
model
	^ 10! !

SGLComponent subclass: #SGLTreeWithLeafTags
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Glamour-Seaside-Examples'!

!SGLTreeWithLeafTags classSide methodsFor: 'as yet unclassified' stamp: 'AndreiChis 10/15/2010 18:56'!
initialize
	self registerAsApplication: 'glamour/development/treeWithLeafTags'! !

!SGLTreeWithLeafTags methodsFor: 'as yet unclassified' stamp: 'AndreiChis 10/28/2010 22:32'!
browser
	"self new browser openOn: self new model"
	|browser |
	browser := GLMTabulator new.
	browser column: #one; column: #two.
	browser showOn: #one; using: [
		browser tree
			title: 'None Expanded';
			allowDeselection;
			beMultiple;
			showOnly: 8;
			tags: [:each |
				each isNumber 
				ifTrue: [
					{(each isNumber and: [each even]) ifTrue: ['even'] ifFalse: ['odd'].
					(each isNumber and: [each\\3 == 0] ) ifTrue: ['div 3'] ifFalse: ['not div 3'].
					(each isNumber and: [each\\4 == 0] ) ifTrue: ['div 4'] ifFalse: ['not div 4'].
					(each isNumber and: [each\\5 == 0] ) ifTrue: ['div 5'] ifFalse: ['not div 5']} ]
				ifFalse: [{}] ];
			children: [:x :i | x isCollection ifTrue: [x] ifFalse: [OrderedCollection new] ].
		browser tree
			title: 'Roots Expanded';
			rootsExpanded;
			showOnly: 4;
			allowDeselection;
			beMultiple;
			tags: [:each |
				each isNumber 
				ifTrue: [
					{(each isNumber and: [each even]) ifTrue: ['even'] ifFalse: ['odd'].
					(each isNumber and: [each\\3 == 0] ) ifTrue: ['div 3'] ifFalse: ['not div 3'].
					(each isNumber and: [each\\4 == 0] ) ifTrue: ['div 4'] ifFalse: ['not div 4'].
					(each isNumber and: [each\\5 == 0] ) ifTrue: ['div 5'] ifFalse: ['not div 5']} ]
				ifFalse: [{}] ];
			children: [:x :i | x isCollection ifTrue: [x] ifFalse: [OrderedCollection new] ] ].
	browser showOn: #two; from: #one; using: [ browser text ].
	^ browser! !

!SGLTreeWithLeafTags methodsFor: 'as yet unclassified' stamp: 'AndreiChis 10/20/2010 21:24'!
model
	^ #( 
		(1 2 3 4) 
		(5 6 7 (8 9) (10 11) ( (12 13) (13 15 1) ) ) 
		(16 17 18  (19 20 21 22))  
		1 2 3 4 5 6 7 8 
		(9 10 11 12) 
		(13 14 15 16 1)
		(17 18 (19  1 20 22 22) 23 24 )
		25 26 27 28 29)! !
SGLBasicExamples initialize!
SGLDevExamples initialize!
SGLExpanderWithAdd initialize!
SGLExpanderWithLists initialize!
SGLExpanderWithText initialize!
SGLExpanderWithinExpander initialize!
SGLMooseCodeWithAnnotations initialize!
SGLMooseFinder initialize!
SGLMooseMetaBrowser initialize!
SGLOtherExamples initialize!
SGLStackedVerticallyComposite1 initialize!
SGLStackedVerticallyComposite2 initialize!
SGLTabulatorComposed1 initialize!
SGLTabulatorComposed2 initialize!
SGLTabulatorFourColumns initialize!
SGLTabulatorFourRows initialize!
SGLTabulatorOneColumn initialize!
SGLTabulatorOneRow initialize!
SGLTabulatorTwoColumns initialize!
SGLTabulatorTwoRows initialize!
SGLTabulatorWithTabs initialize!
SGLTabulatorWithinTabulator initialize!
SGLTreeAppend initialize!
SGLTreeSelectionOutsideLimits initialize!
SGLTreeWithLeafTags initialize!
